Get Billing by Merchant User UUID ( STABLE )
curl --request GET \
--url https://api.grailpay.com/3p/api/v2/merchants/{uuid}/billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/3p/api/v2/merchants/{uuid}/billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/3p/api/v2/merchants/{uuid}/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"summary": [
{
"billable_event": "Standard ACH",
"total": 1500,
"total_occurrences": 150,
"amount_per_occurrence": 10
}
]
},
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Access denied. Please use a secure (HTTPS) connection.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The merchant was not found.",
"data": null,
"errors": null,
"error_code": null
}Billing
Get Billing by Merchant User UUID ( STABLE )
This retrieves a summary of all billed events for a specific merchant, providing comprehensive billing details to support seamless integration.
GET
/
3p
/
api
/
v2
/
merchants
/
{uuid}
/
billing
Get Billing by Merchant User UUID ( STABLE )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Path Parameters
UUID of the merchant user
Query Parameters
Start date for billing summary (YYYY-MM-DD)
End date for billing summary (YYYY-MM-DD)
⌘I
